echo -  使用本功能需要手机提前开启USB调试，否则功能无法使用
echo -  正在查询锁机包名
set PN=
for /f "delims=" %%f in ('adb shell dumpsys window ^| busybox grep "mCurrentFocus" ^| busybox sed "s/.* //; s/}//; s/\/.*//"') do ( set PN=%%f )
if not defined PN ( 
    %error% 查询异常
    %error% 错误详情：
    adb shell "dumpsys window | grep mCurrentFocus
)


echo -  已查询到当前锁机包名为：%PN%
echo.
echo.
set gn=
echo -  0.回到主菜单
echo -  是否现在杀掉锁机软件？回车或任意内容继续
set /p gn=%t2%
if "!gn!"=="0" ( main )

adb shell am force-stop %PN%
if "%errorlevel%"=="0" (
    echo.
    echo.
    set gn=
    echo -  0.回到主菜单
    echo -  已成功杀掉，是否现在卸载锁机软件？回车或任意内容继续
    set /p gn=%t2%
    if "!gn!"=="0" ( main )
    echo -  出现 Success 时为卸载成功
    adb shell pm uninstall %PN% || abort 卸载失败！
) else (
    %error% 失败
)